Package com.macrofocus.high_d.scatterplot.swing

# Enum Class SwingScatterPlotController.Mode

java.lang.Object
java.lang.Enum<SwingScatterPlotController.Mode>
com.macrofocus.high_d.scatterplot.swing.SwingScatterPlotController.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<SwingScatterPlotController.Mode>`, `Constable`

Enclosing class:
  `SwingScatterPlotController<Row,Column>`

public static enum SwingScatterPlotController.Mode extends Enum<SwingScatterPlotController.Mode>
Interaction mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Panning`
  Panning mode.
  `Selection`
  Selection mode.
  `Zooming`
  Zooming mode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SwingScatterPlotController.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SwingScatterPlotController.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Selection

    public static final SwingScatterPlotController.Mode Selection
    Selection mode.

  - ### Zooming

    public static final SwingScatterPlotController.Mode Zooming
    Zooming mode.

  - ### Panning

    public static final SwingScatterPlotController.Mode Panning
    Panning mode.

- ## Method Details

  - ### values

    public static SwingScatterPlotController.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SwingScatterPlotController.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null